// Author: Pierre Lombard <pierre.lombard@imag.fr>
// Date: 2001/2002
// License: GPLv2

#ifndef __TIMED_CONNECT_H__
#define __TIMED_CONNECT_H__ 1
#include <sys/socket.h>

/**
 * timed_connect - this function simply adds a timer to the connect call
 *
 * @s:	socket id
 * @server_addr:	server references
 * @addrlen:	size of server_addr
 * @timeout_ms:	timeout in milliseconds (if 0 then system settings are used)
 */
int timed_connect(int s, const struct sockaddr *serv_addr, socklen_t addrlen, unsigned long timeout_ms);
#endif
